require "TimedActions/ISBaseTimedAction"

TABAS_AnimTest = ISBaseTimedAction:derive("TABAS_AnimTest")

function TABAS_AnimTest:isValid()
    return true
end

function TABAS_AnimTest:update()
end

function TABAS_AnimTest:start()
    self:setOverrideHandModels(nil, nil)
    self:setActionAnim("TABAS_AnimTest")
    self.character:setIgnoreMovement(false)
end


function TABAS_AnimTest:stop()
	ISBaseTimedAction.stop(self)
end

function TABAS_AnimTest:perform()
	-- needed to remove from queue / start next.
	ISBaseTimedAction.perform(self)
end

function TABAS_AnimTest:new(character)
    local o = ISBaseTimedAction.new(self, character)
    o.maxTime = 500

    o.ignoreHandsWounds = true
    o.useProgressBar = true
    o.caloriesModifier = 0
    return o
end